Package org.apache.commons.math3.optim.linear

# Class NonNegativeConstraint

java.lang.Object
org.apache.commons.math3.optim.linear.NonNegativeConstraint

All Implemented Interfaces:
  `OptimizationData`

public class NonNegativeConstraint extends Object implements OptimizationData
A constraint for a linear optimization problem indicating whether all variables must be restricted to non-negative values.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`NonNegativeConstraint(boolean restricted)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isRestrictedToNonNegative()`
Indicates whether all the variables must be restricted to non-negative values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NonNegativeConstraint

public NonNegativeConstraint(boolean restricted)

Parameters:
  `restricted` - If `true`, all the variables must be positive.

## Method Details

### isRestrictedToNonNegative

public boolean isRestrictedToNonNegative()
Indicates whether all the variables must be restricted to non-negative values.

Returns:
  `true` if all the variables must be positive.